%define name	reiser4progs
%define version 1.0.4
%define release %mkrel 1

%define major	4
%define api	1.0
%define libname		%mklibname %{name}- %{api} %{major}
%define libname_basic	%mklibname %{name}-%{api}
%define dev	%{_lib}%{name}-devel
%define staticdev	%{_lib}%{name}-static-devel
%define minimal_libname		%mklibname %{name}-minimal- %{api} 0
%define minimal_libname_basic	%mklibname %{name}-minimal-%{api}

Summary:	Utilities belonging to the Reiser4 filesystem
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.bz2
Patch1:		reiser4progs-1.0.4-gcc4.patch
URL:		http://www.namesys.com/
BuildRequires:	libaal-devel >= 1.0.4
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
# wants uuid
BuildRequires:	e2fsprogs-devel
Requires:	%{libname} = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Reiser4 is a file system using plug-in based object oriented variant
on classical balanced tree algorithms. It is the next generation of
Reiserfs 3.x, the one included in Linux kernel. With new plugins,
people can create their own types of directories and files.

%package -n	%{libname}
Summary:	Libraries needed by Reiser4 programs
Group:		System/Kernel and hardware
Provides:	%{libname_basic} = %{version}-%{release}

%description -n	%{libname}
Libraries needed by Reiser4 programs.

%package -n	%{dev}
Summary:	Development related files for reiser4progs libraries
Group:		Development/Kernel
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{minimal_libname} = %{version}

%description -n %{dev}
Development related files for reiser4progs libraries.

%package -n	%{staticdev}
Summary:	Static reiser4progs libraries
Group:		Development/Kernel
Requires:	%{dev} = %{version}

%description -n	%{staticdev}
Static reiser4progs libraries.

%package -n	%{minimal_libname}
Summary:	Reiser4 library with minimal memory footprint
Group:		System/Kernel and hardware
Provides:	%{minimal_libname_basic} = %{version}-%{release}

%description -n	%{minimal_libname}
This library is another version of Reiser4 library, with minimal
memory footprint.

%prep
%setup -q
%patch1 -p1 -b .gcc4

%build
# be very careful
%configure2_5x \
	--sbindir=/sbin \
	%{?debug:--enable-debug}

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post	-n %{minimal_libname} -p /sbin/ldconfig
%postun -n %{minimal_libname} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
# COPYING contains information other than GPL text
%doc AUTHORS COPYING CREDITS README THANKS
/sbin/*
%{_mandir}/man*/*

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libreiser4-%{api}.so.*
%{_libdir}/librepair-%{api}.so.*

%files -n %{minimal_libname}
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libreiser4-minimal-%{api}.so.*

%files -n %{dev}
%defattr(-,root,root,-)
%doc BUGS ChangeLog TODO
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_datadir}/aclocal/*.m4

%files -n %{staticdev}
%defattr(-,root,root,-)
%{_libdir}/lib*.a



%changelog
* Wed Feb 06 2008 Makoto Dei <makoto@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 163044
- build fix with gcc4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - remove old obsoletes that are useless for nearly 3 years
    - use %%mkrel
    - import reiser4progs


* Sat Mar 12 2005 Abel Cheung <deaddog@mandrake.org> 1.0.4-1mdk
- 1.0.4
- Remove all patches (upstream)
- Simplify description
- Fix mklibname
- Don't add maj to devel package, they are not parallel installable
- Split minimal library

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.3-1mdk
- 1.0.3
- new (lowered??) major
- fix provides

* Tue Jun 18 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5.5-1mdk
- 0.5.5
- re-add static package

* Sat Jun 12 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.4-1thac
- Built for Mandrake 10.0 official

